@charset 'UTF-8';
/**
* common
**/
:root{
  --black: #000;
  --gray: #333;
  --gray2: #a5a5a5;
  --white: #fff;
  --red: #ff0000;
  --red2: #ffadad;
}
* {
  box-sizing: border-box;
  margin: 0;
}
html {
  block-size: 100%;
}
body {
  font-size: 100%;
}
h2 {
  border: 0px solid var(--black);
  border-top-width: 1px;
  border-bottom-width: 1px;
  padding: 5px 0;
  margin: 0 0 10px;
}
a {
  color: var(--gray);
}
/**
* component
**/
[class*='modan']{
  margin: 10px 10px 20px;
}

/**
* modan1
**/
.modan1 {}
.background-text {
    background: linear-gradient(-45deg, #2af598, #009efd);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    display: inline-block;
}

/**
* modan2
* 背景は透明は半透明にする
* safariのみベンダープレフィックス
**/
.backdrop-filter {
   background-image: url("https://assets.codepen.io/221808/bg.png");
   padding: 2rem;
}
.backdrop-filter p {
  width: min(500px, 100%);
  padding: 14px;
  border-radius: 12px;
  -webkit-backdrop-filter: blur(8px);
          backdrop-filter: blur(8px);
  background-color: rgba(255, 255, 255, 0.5);
}


/**
* media3
**/
.btn-area {
  font-size: 16px;
}

@media (width <= 500px) {
  .btn-area {
    font-size: 12px;
  }
}